import { UmbTreeItemPickerExpansionManager } from './tree-item-picker-expansion.manager.js';
import { UmbPickerContext } from '../../picker/index.js';
export class UmbTreeItemPickerContext extends UmbPickerContext {
    constructor() {
        super(...arguments);
        this.expansion = new UmbTreeItemPickerExpansionManager(this, {
            interactionMemoryManager: this.interactionMemory,
        });
    }
}
export { UmbTreeItemPickerContext as api };
